<?php

namespace WcProdWidget;

use Illuminate\Database\Capsule\Manager as Capsule;

class Database {
    
    private static $instance = null;
    
    public static function make() {
        if (static::$instance === null) {
            static::$instance = new static();
        }
        
        return static::$instance;
    }
    
    private function __construct() {
        global $wpdb;
        $capsule = new Capsule();
        
        $prefix = is_multisite() ? str_replace($wpdb->blogid . '_', '', $wpdb->prefix) : $wpdb->prefix;
        $connection = [
            'default' => [
                'driver'    => 'mysql',
                'host'      => DB_HOST,
                'database'  => DB_NAME,
                'username'  => DB_USER,
                'password'  => DB_PASSWORD,
                'prefix'    => $prefix,
            ],
        ];
        
        $capsule->addConnection($connection);
        $capsule->setAsGlobal();
        $capsule->bootEloquent();
    }
    
}
